Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif
Class OutputExtensionInfo.OutputScheduler

    java.lang.Object
      polyglot.frontend.Scheduler
          polyglot.frontend.JLScheduler
              jif.OutputExtensionInfo.OutputScheduler

Enclosing class:
  OutputExtensionInfo

    protected static class OutputExtensionInfo.OutputScheduler

extends polyglot.frontend.JLScheduler

Nested Class Summary

Nested classes/interfaces inherited from class polyglot.frontend.Scheduler
`polyglot.frontend.Scheduler.TheEndGoal`

Field Summary
`protected polyglot.frontend.Job` | `objectJob` Hack to ensure that we track the job for java.lang.Object specially.

Fields inherited from class polyglot.frontend.Scheduler
`commandLineJobs, COMPLETED_JOB, currentPass, dumpCounter, extInfo, failed, goals, infiniteLoopGoal, inWorklist, jobs, MAX_RUN_COUNT, runCount, worklist`

Constructor Summary
`OutputExtensionInfo.OutputScheduler(OutputExtensionInfo extInfo)`

Method Summary
`polyglot.frontend.Job` | `addJob(polyglot.frontend.Source source)`
`polyglot.frontend.Job` | `addJob(polyglot.frontend.Source source, polyglot.ast.Node ast)`
`polyglot.frontend.goals.Goal` | `Parsed(polyglot.frontend.Job job)`
`polyglot.frontend.goals.Goal` | `TypesInitialized(polyglot.frontend.Job job)`

Methods inherited from class polyglot.frontend.JLScheduler
`CodeGenerated, ConstantsChecked, ConstructorCallsChecked, Disambiguated, ExceptionsChecked, ExitPathsChecked, FieldConstantsChecked, ForwardReferencesChecked, ImportTableInitialized, InitializationsChecked, MembersAdded, ReachabilityChecked, Serialized, SignaturesDisambiguated, SignaturesResolved, SupertypesDisambiguated, SupertypesResolved, TypeChecked, TypeExists, TypesInitializedForCommandLine`

Methods inherited from class polyglot.frontend.Scheduler
`addCorequisiteDependency, addCorequisiteDependencyAndEnqueue, addDependencyAndEnqueue, addGoal, addPrerequisiteDependency, addPrerequisiteDependencyChain, attemptGoal, attemptGoal, commandLineJobs, completeJob, createSourceJob, currentGoal, currentJob, currentPass, dumpDependenceGraph, dumpDependenceGraph, dumpInFlightDependenceGraph, inInfiniteLoop, internGoal, jobs, loadSource, prerequisiteDependsOn, reached, runGoal, runPass, runToCompletion, setCommandLineJobs, sourceHasJob, statusString, toString, worklist`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### objectJob

    protected polyglot.frontend.Job objectJob

  Hack to ensure that we track the job for java.lang.Object specially. In particular, ensure that it is submitted for re-writing before any other job.

Constructor Detail

### OutputExtensionInfo.OutputScheduler

    public OutputExtensionInfo.OutputScheduler(OutputExtensionInfo extInfo)

Method Detail

### addJob

    public polyglot.frontend.Job addJob(polyglot.frontend.Source source,
                                        polyglot.ast.Node ast)

  Overrides:
    `addJob` in class `polyglot.frontend.Scheduler`

### addJob

    public polyglot.frontend.Job addJob(polyglot.frontend.Source source)

  Overrides:
    `addJob` in class `polyglot.frontend.Scheduler`

### TypesInitialized

    public polyglot.frontend.goals.Goal TypesInitialized(polyglot.frontend.Job job)

  Overrides:
    `TypesInitialized` in class `polyglot.frontend.JLScheduler`

### Parsed

    public polyglot.frontend.goals.Goal Parsed(polyglot.frontend.Job job)

  Overrides:
    `Parsed` in class `polyglot.frontend.JLScheduler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD